Tag: pip

pip не удается установить пакеты из требования .txt

Я пытаюсь установить программное обеспечение python, используя файл требований. >> cat requirements.txt Cython==0.15.1 numpy==1.6.1 distribute==0.6.24 logilab-astng==0.23.1logilab-common==0.57.1 netaddr==0.7.6 numexpr==2.0.1 ply==2.5 pycallgraph==0.5.1 pyflowtools==0.3.4.1 pylint==0.25.1 tables==2.3.1 wsgiref==0.1.2 Поэтому я создаю виртуальную среду >> mkvirtualenv parser (parser) >> pip freeze distribute==0.6.24 wsgiref==0.1.2 (parser) >> pip install -r requirements.txt … а затем я загружаю пакеты, но не установлен с ошибками: […]

pip не может правильно установить пакеты: Permission denied error

Я пытаюсь установить lxml для установки scrapy на моем Mac (v 10.9.4) ╭─ishaantaylor@Ishaans-MacBook-Pro.local ~ ╰─➤ pip install lxml Downloading/unpacking lxml Downloading lxml-3.4.0.tar.gz (3.5MB): 3.5MB downloaded Running setup.py (path:/private/var/folders/8l/t7tcq67d34v7qq_4hp3s1dm80000gn/T/pip_build_ishaantaylor/lxml/setup.py) egg_info for package lxml /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'bugtrack_url' warnings.warn(msg) Building lxml version 3.4.0. Building without Cython. Using build configuration of libxslt 1.1.28 warning: no previously-included […]

Поставка аргументов numpy site.cfg в pip

Я использую NumPy, встроенный в библиотеку ядра Math. Я использую virtualenv и обычно использую pip для установки пакетов. Однако, чтобы NumPy обнаружил библиотеки MKL, необходимо создать файл site.cfg в исходном каталоге NumPy перед его компиляцией, а затем вручную создать и установить. Я мог бы написать весь этот процесс, но я надеялся на более простое решение. […]

Почему pip freeze сообщает о некоторых пакетах в новом virtualenv, созданном с -no-site-пакетами?

Когда я создаю новый virtualenv, pip freeze показывает, что у меня есть несколько пакетов, даже если я ничего не установил в среде. Я ожидал, что pip freeze вернет пустой вывод до тех пор, пока мой первый pip install в среду. wsgiref является частью стандартной библиотеки , не так ли, поэтому почему она вообще появляется? день […]

Что означает «ошибка: опция – единая версия – внешняя управляемая не распознана»?

Кажется, что я вдруг столкнулся с ошибкой error: option –single-version-externally-managed not recognized при pip install пакетов пакетов var (включая PyObjC и astropy ). Я никогда не видел эту ошибку раньше, но теперь она также появляется на сборках travis-ci, для которых ничего не изменилось. Означает ли эта ошибка наличие устаревшего распространения? Или некорректно указанную опцию в […]

Невозможно установить psycopg2 на OSX 10.6.7 с помощью XCode4

Попытка установить psycopg2 на OSX приводит к следующему: building 'psycopg2._psycopg' extension creating build/temp.macosx-10.6-universal-2.6 creating build/temp.macosx-10.6-universal-2.6/psycopg gcc-4.2 -fno-strict-aliasing -fno-common -dynamic -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -arch i386 -arch ppc -arch x86_64 -pipe -DPSYCOPG_DEFAULT_PYDATETIME=1 -DPSYCOPG_VERSION="2.4 (dt dec pq3 ext)" -DPG_VERSION_HEX=0x090003 -DPSYCOPG_EXTENSIONS=1 -DPSYCOPG_NEW_BOOLEAN=1 -DHAVE_PQFREEMEM=1 -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -I. -I/usr/local/Cellar/postgresql/9.0.3/include -I/usr/local/Cellar/postgresql/9.0.3/include/server -c psycopg/psycopgmodule.c -o build/temp.macosx-10.6-universal-2.6/psycopg/psycopgmodule.o /usr/libexec/gcc/powerpc-apple-darwin10/4.2.1/as: assembler (/usr/bin/../libexec/gcc/darwin/ppc/as or […]

pip ничего не может установить

> pip install yolk Downloading/unpacking yolk Cannot fetch index base URL https://pypi.python.org/simple/ Could not find any downloads that satisfy the requirement yolk No distributions at all found for yolk Storing complete log in /Users/harith/.pip/pip.log когда я читаю файл, который я вижу > cat /Users/harith/.pip/pip.log ———————————————————— /Users/harith/.shared/virtualenvs/pennytracker/bin/pip run on Mon Jul 1 20:26:02 2013 Downloading/unpacking yolk […]

Как установить пакет внутри virtualenv?

Я создал virtualenv со следующей командой. mkvirtualenv –distribute –system-site-packages "$1" После запуска virtualenv с workon , я ipython . Это подсказывает мне WARNING: Attempting to work in a virtualenv. If you encounter problems, please install IPython inside the virtualenv. Когда я пытаюсь установить ipython с virtualenv, я получил следующее сообщение об ошибке: pip install ipython […]

Добавление папок в zip-файл с помощью python

Я хочу создать zip–файл. Добавьте папку в zip-файл, а затем добавьте кучу файлов в эту папку. Поэтому я хочу получить zip-файл с одной папкой с файлами. Я не знаю, есть ли у его плохой практики наличие папок в zip-файлах или что-то в этом роде, но google ничего мне не дает. Я начал с этого: def […]

ImportError: нет модуля с именем _io в ubuntu 14.04

Я только что обновил ubuntu 14.04LTS, и я пытаюсь использовать pip, но я получаю следующую трассировку: (nlmanagement)psychok7@Ultrabook:~/code/work/nlmanagement$ pip freeze Traceback (most recent call last): File "/home/psychok7/code/work/venv/nlmanagement/bin/pip", line 9, in <module> load_entry_point('pip==1.1', 'console_scripts', 'pip')() File "/home/psychok7/code/work/venv/nlmanagement/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 337, in load_entry_point return get_distribution(dist).load_entry_point(group, name) File "/home/psychok7/code/work/venv/nlmanagement/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 2279, in load_entry_point return ep.load() File "/home/psychok7/code/work/venv/nlmanagement/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 1989, in […]

Python - лучший язык программирования в мире.